%global commit ee431d49dcf5ab3d894214acd5b6dc93d80a63d5
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global ghowner impallari
%global ghproject The-Lobster-Font

Version: 1.7
%global tag             %{version}
Release: 1%{?dist}

URL: https://www.impallari.com/fonts/lobster

%global foundry  impallari
%global fontlicense  OFL-1.1
%global fontlicenses  OFL.txt

%global fontfamily  lobster
%global fontsummary Hand written font with ligatures that connect letters
%global fontdescription  %{expand:
The Lobster font took a different approach. The new OpenType format gives
us the possibility to have multiple versions of each letter, and that's
exactly what we are doing: Instead of compromising the design of our
letters to force connections, we do what lettering artist do. We draw many
versions of each letter and a lot of different letter-pairs
(aka "ligatures") so we always use the best possible variation of each
letter depending of the context of the letter inside each word. All this
happens automatically in any browser that supports ligatures.}

%global fonts  *.otf
%global fontconfs  %{SOURCE10}

Source0: https://github.com/%{ghowner}/%{ghproject}/archive/%{commit}/%{ghproject}-%{shortcommit}.tar.gz
Source10: 62-%{fontpkgname}.xml

%fontpkg

%prep
%setup -q -n %{ghproject}-%{commit}
chmod -x CONTRIBUTORS.txt

%build
%fontbuild


%install
%fontinstall


%check
%fontcheck


%fontfiles
%doc README.md
%doc CONTRIBUTORS.txt
%doc AUTHORS.txt

%changelog
* Wed Oct 04 2023 Benson Muite <benson_muite@emailplus.org> - 1.7^20230503gitee431d4-1
- Packaging for unretirement

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
 
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
 
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
 
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
 
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
 
* Wed Oct 15 2014 Richard Hughes <richard@hughsie.com> - 1.4-9
- Add a MetaInfo file for the software center; this is a font we want to show.
 
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
 
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
 
* Wed Feb 27 2013 Parag Nemade <pnemade AT redhat DOT com> - 1.4-6
- Resolves:rh#914088 - impallari-lobster-fonts: FTBFS in rawhide
- Spec cleanup
 
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
 
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
 
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
 
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
 
* Mon Feb 07 2011 Parag Nemade <pnemade AT redhat.com> - 1.4-1
- update to next upstream release 1.4
 
* Mon Jun 14 2010 Parag Nemade <pnemade AT redhat.com> - 1.3-2
- Renamed to follow fonts package naming guidelines.
 
* Mon May 24 2010 Parag Nemade <pnemade AT redhat.com> - 1.3-1
- Initial Fedora release.
